Index: /branches/2016/dev_v3.20_2016_gravity_drainage/INPUT/YROSIAE/source_3.20/bio.param
===================================================================
--- /branches/2016/dev_v3.20_2016_gravity_drainage/INPUT/YROSIAE/source_3.20/bio.param	(revision 20)
+++ /branches/2016/dev_v3.20_2016_gravity_drainage/INPUT/YROSIAE/source_3.20/bio.param	(revision 21)
@@ -59,4 +59,8 @@
 # ln_ikaite   : activate CaCO3 precipitation
 .TRUE.
+# ln_decoupNC : activate N cycle disconnected from C cycle
+.TRUE.
+# ln_decoupPC : activate P cycle disconnected from C cycle
+.TRUE.
 #
 #---------------------------------------------------------------------------------
@@ -89,6 +93,6 @@
 #---------------------------------------------------------------------------------
 #
-# nn_bio_opt  : type of biological model (0=NP; 1=NPD Redfield; 2=NPD + Si; 3=NPD non-RedF; 4=NPD n.r + iron, 5=carbon cycle & gases)
-5
+# nn_bio_opt  : type of biological model (0=NP; 1=NPD Redfield)
+1
 #--- Bio-optical parameters
 #
@@ -103,13 +107,29 @@
 0.0e-5       
 # mumax_bio   : maximum specific growth rate (s-1) ( Sarthou 5e-6 -> 3.8e-5 )
-1.00e-5
+3.0e-5
 # klys_bio    : loss rate (s-1) ( Sarthou  5.8e-8 -> 2.75e-6 )
-1.00e-6
+2.750e-6
 # krsp_bio    : respiration rate (s-1) 
 1.0e-6
 # krem_bio    : remineralization rate for carbon (2.0e-7 Moreau et al Elementa Oxy 2015)
-5.0e-6
+1.0e-7
 # frem_bio    : Fraction of nutrient loss that is remineralized in case of an N-P formulation
-1.00
+1.0
+# ksyn_N      : intensity of N flux compared with C flux (IF ln_decoupNC = TRUE)
+1.
+# klys_N
+1.
+# krsp_N
+1.
+# krem_N
+1.
+# ksyn_P
+1.
+# klys_P
+1.
+# krsp_P
+1.
+# krem_P
+1.
 #
 #--- Photosynthesis / light limitation
@@ -137,5 +157,5 @@
 0.14
 # po4_c       : phosphorus to carbon molar ratio in diatoms (mol/mol) - 0.014 Sarthou 2005; 0.0094
-0.014
+0.0094
 # oxy_c       : oxygen release to carbon uptake ratio during photosynthesis (mol/mol) - Redf = 138/106 = 1.30 / Sarmiento Gruber 2006 150/106 = 1.41, Anderson et al
 1.30 
Index: /branches/2016/dev_v3.20_2016_gravity_drainage/INPUT/YROSIAE/source_3.20/tracer.param
===================================================================
--- /branches/2016/dev_v3.20_2016_gravity_drainage/INPUT/YROSIAE/source_3.20/tracer.param	(revision 20)
+++ /branches/2016/dev_v3.20_2016_gravity_drainage/INPUT/YROSIAE/source_3.20/tracer.param	(revision 21)
@@ -15,20 +15,24 @@
 #  c_nc_name  : tracer name in the netcdf initialization file (if any)
 #  nn_init    : switch for initialization (0=from code, 1=read cst, 2=cc retrieved from stock=read cc.h_i, 3=profile read in netcdf file)
-#  c_i_ini    : initial ice concentration
-#  c_w_ini    : seawater concentration
+#  c_i_ini    : initial ice concentration => from netcdf or constant
+#  c_w_ini    : seawater concentration => constant values
 #  mixr_gas   : atmospheric mixing ratio
 #  dmol_gas   : molecular diffusivity (gas tracers only, from Broecker and Peng 74)
 #trc_nam | c_nc_name | nn_init | c_i_ini | c_w_ini | mixr_gas | dmol_gas |
-   'dSi'   'dsi'   3   19.90  51.25    0.       0.
-   'dIN'   'nox'   3   10.44  26.90    0.       0.
-   'dIP'   'po4'   3    0.91   2.35    0.       0.
-   'AoC'   'AoC'   3    0.01   0.05    0.       0.
-   'eoC'   'eoC'   3      0.    0.5    0.       0.
-   'DIC'   'DIC'   1    800.   2000.   0.       0.
-   'Alk'   'Alk'   1    880.   2200.   0.       0.
-   'CO2'   'CO2'   1      0.     10.   3.8e-4   0.94e-9 # the initial ice cc has no impact since recalculated from DIC and TA in ice_bio_diff
-   'Ika'   'Ika'   1      0.      0.   0.       0.
-   'Cal'   'Cal'   1  1845.6  10600.   0.       0.
-   'Arg'   'Arg'   1     7.2     18.   0.00934  0.88e-9
-   'Oxy'   'Oxy'   1    71.4    357.   0.2095   1.17e-9 # not checked 
-   'Nit'   'Nit'   1     127.   635.   0.7808   0.95e-9 # not checked
+   'dSi'   'dsi'       3         19.90     51.25     0.         0.
+   'dIN'   'nox'       3         10.44     26.90     0.         0.
+   'dIP'   'po4'       3         0.91      2.35      0.         0.
+   'AoC'   'AoC'       3         0.01      0.05      0.         0.
+   'eoC'   'eoC'       3         0.         0.5      0.         0.
+   'DIC'   'DIC'       1         800.      2000.     0.         0.
+   'Alk'   'Alk'       1         880.      2200.     0.         0.
+   'CO2'   'CO2'       1         0.        10.       3.8e-4     0.94e-9 # the initial ice cc has no impact since recalculated from DIC and TA in ice_bio_diff
+   'Ika'   'Ika'       1         0.        0.        0.         0.
+   'Cal'   'Cal'       1         1845.6    10600.    0.         0.
+   'Arg'   'Arg'       1         7.2       18.       0.00934    0.88e-9
+   'Oxy'   'Oxy'       1         71.4      357.      0.2095     1.17e-9 # not checked 
+   'Nit'   'Nit'       1         127.      635.      0.7808     0.95e-9 # not checked
+   'AoN'   'AoN'       3         0.0014    0.007     0.         0.
+   'eoN'   'eoN'       3         0.         0.07     0.         0.
+   'AoP'   'AoP'       3         0.       0.00047    0.         0.
+   'eoP'   'eoP'       3         0.        0.0047    0.         0.
